Package com.sun.messaging.jms

## Class IllegalStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - jakarta.jms.JMSException
      - - jakarta.jms.IllegalStateException
        - - com.sun.messaging.jms.IllegalStateException

- All Implemented Interfaces:
    `com.sun.messaging.jmq.jmsclient.logging.Loggable`, `java.io.Serializable`

      public class IllegalStateException
      extends jakarta.jms.IllegalStateException
      implements com.sun.messaging.jmq.jmsclient.logging.Loggable

  This exception is thrown when a method is invoked at an illegal or inappropriate time or if the provider is not in an appropriate state for the requested operation. For example, this exception must be thrown if `Session.commit` is called on a non-transacted session. This exception is also called when a domain inappropriate method is called, such as calling `TopicSession.CreateQueueBrowser`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IllegalStateException​(java.lang.String reason)` | Constructs a `IllegalStateException` with the specified reason and with the error code defaulting to null.
    `IllegalStateException​(java.lang.String reason, java.lang.String errorCode)` | Constructs a `IllegalStateException` with the specified reason and error code.
    `IllegalStateException​(java.lang.String reason, java.lang.String errorCode, java.lang.Throwable cause)` | Constructs a `IllegalStateException` with the specified reason, error code, and a specified cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getLogState()` | get logging state of this object.
    `void` | `printStackTrace()` | If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `IllegalStateException` and obtained via `jakarta.jms.JMSException.getLinkedException()`
    `void` | `printStackTrace​(java.io.PrintStream s)`
    `void` | `printStackTrace​(java.io.PrintWriter s)` | If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `IllegalStateException` and obtained via `JMSException.getLinkedException()`
    `void` | `setLinkedException​(java.lang.Exception ex)` | If running under J2SE1.4 or above, this method will also set the cause of the `IllegalStateException`.
    `void` | `setLogState​(boolean state)` | set state to true if this object is logged.

    - ### Methods inherited from class jakarta.jms.JMSException

      `getErrorCode, getLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalStateException

          public IllegalStateException​(java.lang.String reason,
                                       java.lang.String errorCode)

      Constructs a `IllegalStateException` with the specified reason and error code.
      Parameters:
        `reason` - a description of the exception
        `errorCode` - a string specifying the vendor-specific error code

    - #### IllegalStateException

          public IllegalStateException​(java.lang.String reason)

      Constructs a `IllegalStateException` with the specified reason and with the error code defaulting to null.
      Parameters:
        `reason` - a description of the exception

    - #### IllegalStateException

          public IllegalStateException​(java.lang.String reason,
                                       java.lang.String errorCode,
                                       java.lang.Throwable cause)

      Constructs a `IllegalStateException` with the specified reason, error code, and a specified cause.
      Parameters:
        `reason` - a description of the exception
        `errorCode` - a string specifying the vendor-specific error code
        `cause` - the cause. A `null` value is permitted, and indicates that the cause is non-existent or unknown.

  - ### Method Detail

    - #### setLinkedException

          public void setLinkedException​(java.lang.Exception ex)

      If running under J2SE1.4 or above, this method will also set the cause of the `IllegalStateException`. When a backtrace of the `IllegalStateException` is printed using `printStackTrace` using `printStackTrace` a backtrace of the cause will also get printed.

      Overrides:
        `setLinkedException` in class `jakarta.jms.JMSException`

    - #### printStackTrace

          public void printStackTrace()

      If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `IllegalStateException` and obtained via `jakarta.jms.JMSException.getLinkedException()`

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace​(java.io.PrintStream s)

      If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `IllegalStateException` and obtained via `jakarta.jms.JMSException.getLinkedException()`

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace​(java.io.PrintWriter s)

      If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `IllegalStateException` and obtained via `JMSException.getLinkedException()`

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### setLogState

          public void setLogState​(boolean state)

      set state to true if this object is logged.
      Specified by:
        `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Parameters:
        `state` - boolean

    - #### getLogState

          public boolean getLogState()

      get logging state of this object.
      Specified by:
        `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Returns:
        boolean true if this object is logged.